net.corda.flows

## Class CashFlowCommand.IssueCash

- CashFlowCommand
- - net.corda.flows.CashFlowCommand.IssueCash

- Enclosing class:
    CashFlowCommand

      public static class CashFlowCommand.IssueCash
      extends CashFlowCommand

  A command to initiate the Cash flow with.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.CashFlowCommand

      `CashFlowCommand.ExitCash, CashFlowCommand.IssueCash, CashFlowCommand.PayCash`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssueCash(Amount<java.util.Currency> amount, OpaqueBytes issueRef, Party recipient, Party notary)` A command to initiate the Cash flow with.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Amount<java.util.Currency>` | `getAmount()`
    `OpaqueBytes` | `getIssueRef()`
    `Party` | `getNotary()`
    `Party` | `getRecipient()`
    `FlowHandle<net.corda.core.transactions.SignedTransaction>` | `startFlow(CordaRPCOps proxy)`

    - ### Methods inherited from class net.corda.flows.CashFlowCommand

      `startFlow`

- - ### Constructor Detail

    - #### IssueCash

          public IssueCash(Amount<java.util.Currency> amount,
                           OpaqueBytes issueRef,
                           Party recipient,
                           Party notary)

      A command to initiate the Cash flow with.

  - ### Method Detail

    - #### startFlow

          public FlowHandle<net.corda.core.transactions.SignedTransaction> startFlow(CordaRPCOps proxy)

    - #### getAmount

          public Amount<java.util.Currency> getAmount()

    - #### getIssueRef

          public OpaqueBytes getIssueRef()

    - #### getRecipient

          public Party getRecipient()

    - #### getNotary

          public Party getNotary()